this.primevue = this.primevue || {};
this.primevue.card = (function (BaseComponent, CardStyle, vue) {
    'use strict';

    function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

    var BaseComponent__default = /*#__PURE__*/_interopDefaultLegacy(BaseComponent);
    var CardStyle__default = /*#__PURE__*/_interopDefaultLegacy(CardStyle);

    var script$1 = {
      name: 'BaseCard',
      "extends": BaseComponent__default["default"],
      style: CardStyle__default["default"]
    };

    script$1.__file = "components/lib/card/BaseCard.vue";

    var script = {
      name: 'Card',
      "extends": script$1,
      inheritAttrs: false
    };

    function render(_ctx, _cache, $props, $setup, $data, $options) {
      return vue.openBlock(), vue.createElementBlock("div", vue.mergeProps({
        "class": _ctx.cx('root')
      }, _ctx.ptmi('root')), [_ctx.$slots.header ? (vue.openBlock(), vue.createElementBlock("div", vue.mergeProps({
        key: 0,
        "class": _ctx.cx('header')
      }, _ctx.ptm('header')), [vue.renderSlot(_ctx.$slots, "header")], 16 /* FULL_PROPS */)) : vue.createCommentVNode("v-if", true), vue.createElementVNode("div", vue.mergeProps({
        "class": _ctx.cx('body')
      }, _ctx.ptm('body')), [_ctx.$slots.title || _ctx.$slots.subtitle ? (vue.openBlock(), vue.createElementBlock("div", vue.mergeProps({
        key: 0,
        "class": _ctx.cx('caption')
      }, _ctx.ptm('caption')), [_ctx.$slots.title ? (vue.openBlock(), vue.createElementBlock("div", vue.mergeProps({
        key: 0,
        "class": _ctx.cx('title')
      }, _ctx.ptm('title')), [vue.renderSlot(_ctx.$slots, "title")], 16 /* FULL_PROPS */)) : vue.createCommentVNode("v-if", true), _ctx.$slots.subtitle ? (vue.openBlock(), vue.createElementBlock("div", vue.mergeProps({
        key: 1,
        "class": _ctx.cx('subtitle')
      }, _ctx.ptm('subtitle')), [vue.renderSlot(_ctx.$slots, "subtitle")], 16 /* FULL_PROPS */)) : vue.createCommentVNode("v-if", true)], 16 /* FULL_PROPS */)) : vue.createCommentVNode("v-if", true), vue.createElementVNode("div", vue.mergeProps({
        "class": _ctx.cx('content')
      }, _ctx.ptm('content')), [vue.renderSlot(_ctx.$slots, "content")], 16 /* FULL_PROPS */), _ctx.$slots.footer ? (vue.openBlock(), vue.createElementBlock("div", vue.mergeProps({
        key: 1,
        "class": _ctx.cx('footer')
      }, _ctx.ptm('footer')), [vue.renderSlot(_ctx.$slots, "footer")], 16 /* FULL_PROPS */)) : vue.createCommentVNode("v-if", true)], 16 /* FULL_PROPS */)], 16 /* FULL_PROPS */);
    }

    script.render = render;
    script.__file = "components/lib/card/Card.vue";

    return script;

})(primevue.basecomponent, primevue.card.style, Vue);
